Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class StatisticsOptions

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.StatisticsOptions

All Implemented Interfaces:
  `Serializable`

    public class StatisticsOptions
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `dataObjects`
`boolean` `events`
`boolean` `heavyHitters`
`boolean` `requests`
`int` `rowCount`
`boolean` `traffic`
`boolean` `utilization`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`StatisticsOptions()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rowCount

    public int rowCount

#### utilization

    public boolean utilization

#### traffic

    public boolean traffic

#### events

    public boolean events

#### dataObjects

    public boolean dataObjects

#### requests

    public boolean requests

#### heavyHitters

    public boolean heavyHitters

### Constructor Detail

#### StatisticsOptions

    public StatisticsOptions()